Loading...
Searching...
No Matches
seqan3::alphabet_printer< alphabet_t > Struct Template Reference
Alphabet

The printer used for formatted output of seqan3::alphabet types. More...

`#include <seqan3/alphabet/detail/debug_stream_alphabet.hpp>`

Inheritance diagram for seqan3::alphabet_printer< alphabet_t >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, alphabet_t const letter) const noexcept
| Print the alphabet to the stream.

## Detailed Description

template<alphabet alphabet_t>
struct seqan3::alphabet_printer< alphabet_t >

The printer used for formatted output of seqan3::alphabet types.

Prints the char representation of the given alphabet letter.

Template Parameters

  alphabet_t | The type of the alphabet to be printed.

## Member Function Documentation

## operator()()

template<alphabet alphabet_t>
template<typename stream_t>

void seqan3::alphabet_printer< alphabet_t >::operator() | ( | stream_t & | stream,
|  | alphabet_t const | letter ) const

inline constexpr noexcept

Print the alphabet to the stream.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | letter | The alphabet letter.

The documentation for this struct was generated from the following file:

- debug_stream_alphabet.hpp

Hide me